# RSL_write...

### Synopsis

#include "rsl.h"
void RSL_write_gif(char *outfile, unsigned char *image, int xdim, int ydim, char c_t able[256][3]);
void RSL_write_pict(char *outfile, unsigned char *image, int xdim, int ydim, char c_table[256][3]);
void RSL_write_pgm(char *outfile, unsigned char *image, int xdim, int ydim);
void RSL_write_ppm(char *outfile, unsigned char *image, int xdim, int ydim, char c_table[256][3]);

###

Description

RSL_write_gif: Writes a GIF file. It uses ppmtogif to convert the image to GIF format, via a pipe.
RSL_write_pict: Writes a PPM image file.
RSL_write_pgm: Writes a PGM image file.
RSL_write_ppm: Writes a PICT image file. It uses ppmtopict to convert the image to PICT format, via a pipe. This is only the image portion of a PICT formated file. Additional programs, like mcvert (when I get it I will automatically place it in the pipeline), need to be run so they are viewable on a MAC.

### Return value

None.

### See also

RSL_rebin_velocity_ray, RSL_rebin_velocity_sweep, RSL_rebin_velocity_volume,
RSL_sweep_to_gif, RSL_sweep_to_pict, RSL_sweep_to_pgm, RSL_sweep_to_ppm,
RSL_load_color_table, RSL_load_green_table, RSL_load_red_table, RSL_load_blue_table,
RSL_load_refl_color_table, RSL_load_sw_color_table, RSL_load_vel_color_table,
RSL_volume_to_gif, RSL_volume_to_pict, RSL_volume_to_pgm, RSL_volume_to_ppm.

Author: John H. Merritt